CppUnit project page | FAQ | CppUnit home page

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

Classes
TestListener.h File Reference
`#include <cppunit/Portability.h>`
Include dependency graph for TestListener.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | TestListener
| Listener for test progress and result.Implementing the Observer pattern a TestListener may be registered to a TestResult to obtain information on the testing progress. Use specialized sub classes of TestListener for text output (TextTestProgressListener). Do not use the Listener for the test result output, use a subclass of Outputter instead. More...

| hosts this site. |  | Send comments to: CppUnit Developers